Closed Bug 1564252 Opened 5 months ago Closed 4 months ago

Move to clang-tidy 8.0.1

Categories

(Firefox Build System :: Source Code Analysis, task)

task
Not set

Tracking

(firefox70 fixed)

RESOLVED FIXED
mozilla70
Tracking Status
firefox70 --- fixed

People

(Reporter: Sylvestre, Assigned: Sylvestre)

Details

Attachments

(1 file)

For now, let's try with 8.0.1 rc3

I am getting a bunch of undef symbols:
https://taskcluster-artifacts.net/NY5I6KwPTmG8LxngqSMggw/0/public/logs/live_backing.log


[task 2019-07-15T20:57:19.827Z] FAILED: : && /builds/worker/workspace/build/src/gcc/bin/g++  -fPIC -fPIC -fvisibility-inlines-hidden -Werror=date-time -std=c++11 -Wall -Wextra -Wno-unused-parameter -Wwrite-strings -Wcast-qual -Wno-missing-field-initializers  -Wno-long-long -Wno-maybe-uninitialized -Wdelete-non-virtual-dtor -Wno-comment -fdiagnostics-color -ffunction-sections -fdata-sections -O3  -Wl,-Bsymbolic-functions -Wl,-z,defs -Wl,-z,nodelete  -fPIC -nodefaultlibs -shared -Wl,-soname,libc++.so.1 -o lib/libc++.so.1.0 projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/algorithm.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/any.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/bind.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/charconv.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/chrono.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/condition_variable.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/debug.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/exception.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/functional.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/future.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/hash.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/ios.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/iostream.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/locale.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/memory.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/mutex.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/new.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/optional.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/random.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/regex.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/shared_mutex.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/stdexcept.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/string.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/strstream.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/system_error.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/thread.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/typeinfo.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/utility.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/valarray.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/variant.cpp.o projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/vector.cpp.o  -Wl,-rpath,"\$ORIGIN/../lib" -lpthread -lc -lm -lrt -lgcc_s && :
[task 2019-07-15T20:57:19.827Z] /builds/worker/workspace/build/src/gcc/bin/../lib/gcc/x86_64-unknown-linux-gnu/6.4.0/../../../../x86_64-unknown-linux-gnu/bin/ld: projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/locale.cpp.o: in function `std::__1::(anonymous namespace)::__throw_runtime_error(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&)':
[task 2019-07-15T20:57:19.827Z] locale.cpp:(.text.unlikely._ZNSt3__112_GLOBAL__N_1L21__throw_runtime_errorERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE+0xf): undefined reference to `__cxa_allocate_exception'
[task 2019-07-15T20:57:19.828Z] /builds/worker/workspace/build/src/gcc/bin/../lib/gcc/x86_64-unknown-linux-gnu/6.4.0/../../../../x86_64-unknown-linux-gnu/bin/ld: locale.cpp:(.text.unlikely._ZNSt3__112_GLOBAL__N_1L21__throw_runtime_errorERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE+0x33): undefined reference to `__cxa_throw'
[task 2019-07-15T20:57:19.828Z] /builds/worker/workspace/build/src/gcc/bin/../lib/gcc/x86_64-unknown-linux-gnu/6.4.0/../../../../x86_64-unknown-linux-gnu/bin/ld: locale.cpp:(.text.unlikely._ZNSt3__112_GLOBAL__N_1L21__throw_runtime_errorERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE+0x3e): undefined reference to `__cxa_free_exception'
[task 2019-07-15T20:57:19.828Z] /builds/worker/workspace/build/src/gcc/bin/../lib/gcc/x86_64-unknown-linux-gnu/6.4.0/../../../../x86_64-unknown-linux-gnu/bin/ld: projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/locale.cpp.o: in function `std::__1::ctype_byname<wchar_t>::do_widen(char) const':
[task 2019-07-15T20:57:19.828Z] locale.cpp:(.text._ZNKSt3__112ctype_bynameIwE8do_widenEc+0x43): undefined reference to `__cxa_call_unexpected'
[task 2019-07-15T20:57:19.828Z] /builds/worker/workspace/build/src/gcc/bin/../lib/gcc/x86_64-unknown-linux-gnu/6.4.0/../../../../x86_64-unknown-linux-gnu/bin/ld: projects/libcxx/lib/CMakeFiles/cxx_objects.dir/__/src/locale.cpp.o: in function `std::__1::ctype_byname<wchar_t>::do_widen(char const*, char const*, wchar_t*) const':
[task 2019-07-15T20:57:19.828Z] locale.cpp:(.text._ZNKSt3__112ctype_bynameIwE8do_widenEPKcS3_Pw+0x7a): undefined reference to `__cxa_call_unexpected'

Adding -lc++abi fixed the issue

Backed out changeset 755d750ba118 for causing toolchains clang failures.

Backout link: https://hg.mozilla.org/integration/mozilla-inbound/rev/3233f2404137df7169ccc6fc6d1c0613d05d8370

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&resultStatus=testfailed%2Cbusted%2Cexception&fromchange=755d750ba118351fa69881ed848e9588c77adcb7&tochange=3233f2404137df7169ccc6fc6d1c0613d05d8370&selectedJob=262507210

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=262507210&repo=mozilla-inbound&lineNumber=332

[task 2019-08-20T16:48:02.790Z] Reversed (or previously applied) patch detected! Assume -R? [n]
[task 2019-08-20T16:48:02.790Z] Apply anyway? [n]
[task 2019-08-20T16:48:02.790Z] 1 out of 1 hunk ignored -- saving rejects to file lld/COFF/Writer.cpp.rej
[task 2019-08-20T16:48:02.796Z] Traceback (most recent call last):
[task 2019-08-20T16:48:02.796Z] File "Z:/task_1566314903/build/src/build/build-clang/build-clang.py", line 663, in <module>
[task 2019-08-20T16:48:02.796Z] patch(os.path.join(config_dir, p), source_dir)
[task 2019-08-20T16:48:02.796Z] File "Z:/task_1566314903/build/src/build/build-clang/build-clang.py", line 87, in patch
[task 2019-08-20T16:48:02.796Z] '-s'])
[task 2019-08-20T16:48:02.796Z] File "Z:/task_1566314903/build/src/build/build-clang/build-clang.py", line 72, in check_run
[task 2019-08-20T16:48:02.796Z] assert r == 0
[task 2019-08-20T16:48:02.796Z] AssertionError
[fetches 2019-08-20T16:48:02.806Z] removing Z:/task_1566314903/fetches
[fetches 2019-08-20T16:48:13.904Z] finished
[taskcluster 2019-08-20T16:48:13.926Z] Exit Code: 1
[taskcluster 2019-08-20T16:48:13.926Z] User Time: 15.625ms
[taskcluster 2019-08-20T16:48:13.926Z] Kernel Time: 0s
[taskcluster 2019-08-20T16:48:13.926Z] Wall Time: 1m55.9677418s
[taskcluster 2019-08-20T16:48:13.926Z] Result: FAILED
[taskcluster 2019-08-20T16:48:13.926Z] === Task Finished ===
[taskcluster 2019-08-20T16:48:13.926Z] Task Duration: 1m55.9697445s
[taskcluster:error] Uploading error artifact public/build from file public\build with message "Could not read directory 'Z:\task_1566314903\public\build'", reason "file-missing-on-worker" and expiry 2020-08-19T16:42:41.791Z
[taskcluster:error] TASK FAILURE during artifact upload: file-missing-on-worker: Could not read directory 'Z:\task_1566314903\public\build'
[taskcluster 2019-08-20T16:48:14.956Z] Uploading artifact public/logs/certified.log from file generic-worker\certified.log with content encoding "gzip", mime type "text/plain; charset=utf-8" and expiry 2020-08-19T16:42:41.791Z
[taskcluster 2019-08-20T16:48:15.425Z] Uploading artifact public/chain-of-trust.json from file generic-worker\chain-of-trust.json with content encoding "gzip", mime type "text/plain; charset=utf-8" and expiry 2020-08-19T16:42:41.791Z
[taskcluster 2019-08-20T16:48:15.799Z] Uploading artifact public/chain-of-trust.json.sig from file generic-worker\chain-of-trust.json.sig with content encoding "gzip", mime type "application/octet-stream" and expiry 2020-08-19T16:42:41.791Z
[taskcluster 2019-08-20T16:48:16.518Z] Uploading redirect artifact public/logs/live.log to URL https://queue.taskcluster.net/v1/task/X2dY_tLgT46o-LMZDURZcg/runs/0/artifacts/public/logs/live_backing.log with mime type "text/plain; charset=utf-8" and expiry 2020-08-19T16:42:41.791Z
[taskcluster:error] exit status 1
[taskcluster:error] file-missing-on-worker: Could not read directory 'Z:\task_1566314903\public\build'

Flags: needinfo?(sledru)
Status: NEW → RESOLVED
Closed: 4 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla70

Backed out changeset e533d2907a31 (Bug 1564252) for build bustage at /lib/gcc/x86_64-unknown-linux-gnu/6.4.0

Push with failure: https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&resultStatus=testfailed%2Cbusted%2Cexception&classifiedState=unclassified&revision=8e1e5dbe95dc0f451aa812b86c98ddfeb35fcfbc

Backout link: https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&resultStatus=testfailed%2Cbusted%2Cexception&classifiedState=unclassified&revision=33a280baf6f4955a82e449b1e5dfb355da3a21a6

Log failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=262634457&repo=mozilla-central&lineNumber=1057

[task 2019-08-21T10:05:06.317Z] 10:05:06     INFO -  configure: error: compiler is incompatible with sanitize options
[task 2019-08-21T10:05:06.317Z] 10:05:06     INFO -  DEBUG: <truncated - see config.log for full output>
[task 2019-08-21T10:05:06.317Z] 10:05:06     INFO -  DEBUG: /builds/worker/fetches/gcc/bin/../lib/gcc/x86_64-unknown-linux-gnu/6.4.0/../../../../x86_64-unknown-linux-gnu/bin/ld: cannot find -lclang_rt.profile-x86_64
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: collect2: error: ld returned 1 exit status
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: configure: failed program was:
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: #line 2803 "configure"
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: #include "confdefs.h"
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG:
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: int main() {
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: XtMalloc()
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: ; return 0; }
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: configure:4040: /builds/worker/fetches/gcc/bin/gcc -std=gnu99 -o conftest   --coverage -L/builds/worker/fetches/clang/lib/clang/8.0.0/lib/linux/  conftest.c -lclang_rt.profile-x86_64 1>&5
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: /builds/worker/fetches/gcc/bin/../lib/gcc/x86_64-unknown-linux-gnu/6.4.0/../../../../x86_64-unknown-linux-gnu/bin/ld: cannot find -lclang_rt.profile-x86_64
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: collect2: error: ld returned 1 exit status
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: configure: failed program was:
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: #line 4033 "configure"
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: #include "confdefs.h"
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG:
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: int main() {
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG:
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: ; return 0; }
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  DEBUG: configure: error: compiler is incompatible with sanitize options
[task 2019-08-21T10:05:06.318Z] 10:05:06     INFO -  ERROR: old-configure failed
[task 2019-08-21T10:05:06.359Z] 10:05:06     INFO -  *** Fix above errors and then restart with\
[task 2019-08-21T10:05:06.359Z] 10:05:06     INFO -                 "./mach build"
[task 2019-08-21T10:05:06.359Z] 10:05:06     INFO -  client.mk:111: recipe for target 'configure' failed
[task 2019-08-21T10:05:06.359Z] 10:05:06     INFO -  make: *** [configure] Error 1
[task 2019-08-21T10:05:06.440Z] 10:05:06    ERROR - Return code: 2
[task 2019-08-21T10:05:06.440Z] 10:05:06  WARNING - setting return code to 2
[task 2019-08-21T10:05:06.440Z] 10:05:06    FATAL - 'mach build -v' did not run successfully. Please check log for errors.
[task 2019-08-21T10:05:06.440Z] 10:05:06    FATAL - Running post_fatal callback...
[task 2019-08-21T10:05:06.441Z] 10:05:06    FATAL - Exiting -1
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Target Milestone: mozilla70 → ---
Status: REOPENED → RESOLVED
Closed: 4 months ago4 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla70

The issue in comment #11 was just that code coverage mozconfig hardcode path to a compiler-rt lib.

Flags: needinfo?(sledru)
You need to log in before you can comment on or make changes to this bug.